Error in high resolution exports with transparent rasters
Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Unix and Win 32 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14891

Description

When exporting a high resolution map from composer (e.g. A4/300dpi), where a raster layer has transparency, causes errors in the

resulting export (both in raster and pdf exports). Using 1.6 on Windows XP 32bit and 1.7.1 on Ubuntu v10.10.

History

#1 - 2012-03-07 09:43 AM - Alexis Viaud

- File bug.jpeg added

See attachment

#2 - 2012-03-09 05:30 AM - Marco Hugentobler

This is because the raster parts are drawn with a small overlap. There was a good technical for this in versions <= 1.6. Now there is work underway to

remove the overlaps (raster_resampler branch), it looks like it will go into version 1.9

#3 - 2012-03-09 07:03 AM - Alexis Viaud

Thx.

But this line of pixel don't appears at the place where there is 2 differents slabs on the raster. It's at the same place everytime on the picture exported but

don't link to those rasters. It appears generaly at the center of the picture.

#4 - 2012-03-09 12:34 PM - Marco Hugentobler

Ok, I see. Do you have the chance to try with a newer version (1.7.4 or current master)?

#5 - 2012-03-14 07:12 AM - Alexis Viaud

No because ECW raster don't work with both Win and Linux version up to 1.7.1!

My solution for the moment : I export pictures less 250 dpi resolution... But It's a problem if I absolutly need high resolution.

Thx

#6 - 2012-04-05 03:00 AM - Alexis Viaud
Up!

The new LTS version is the 1.7.4. Tested on ubuntu 10.10 pc64 it work. No line of pixels anymore, but still between two raster parts.

Problem solved !

Thx

#7 - 2012-04-05 03:07 AM - Giovanni Manghi

- Status changed from Open to Feedback

Alexis Viaud wrote:

Up!

The new LTS version is the 1.7.4. Tested on ubuntu 10.10 pc64 it work. No line of pixels anymore, but still between two raster parts.

Problem solved !

Thx

can I close this ticket?

#8 - 2012-04-05 03:16 AM - Alexis Viaud

I haven't test on win XP with v1.7.4. I prefer you wait (as soon as possible).

Thx

#9 - 2012-04-16 04:54 AM - Giovanni Manghi

Alexis Viaud wrote:

I haven't test on win XP with v1.7.4. I prefer you wait (as soon as possible).

did you tested 1.7.4 or qgis master?

#10 - 2012-07-10 08:39 AM - Marco Hugentobler

- Status changed from Feedback to Resolved

Works now with the raster resampler branch merged

#11 - 2012-07-11 11:39 PM - Marco Hugentobler

- Status changed from Resolved to Closed
